#property version   "1.0"
#property strict
#property copyright "(c)2021 Edgar Akhmadeev"
#property link      "https://www.mql5.com/en/users/dali"
// 2021.03.23



#define SMBIOS_DEBUG
#include <SMBIOS.mqh>



void 
OnStart() {
	string uuid = SMBIOS::Read();
	if (uuid == NULL) {
		Print("Error reading SMBIOS data!");
		return;
	}
	
	Print("UUID: ", uuid);
	
	#ifdef SMBIOS_DEBUG
		Print("\nOptional:");
		if (SMBIOS::GetProductSN() != NULL)
			Print("Product Serial Number: ", SMBIOS::GetProductSN());
		if (SMBIOS::GetBoardSN() != NULL)
			Print("Mainboard Serial Number: ", SMBIOS::GetBoardSN());
		
		Print("\nHW info:");
		SMBIOS::Print();
	#endif 
}
